corda / net.corda.contracts.testing / CommandDataGenerator

# CommandDataGenerator

`class CommandDataGenerator : Generator<CommandData>`

### Constructors

<init> | `CommandDataGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): CommandData`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck